## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# header-only library
#%global debug_package %{nil}

%global forgeurl https://github.com/boost-ext/ut
Version:        2.1.0
%forgemeta

Name:           ut
Release:        %autorelease
Summary:        UT: C++20 μ(micro)/Unit Testing Framework
License:        BSL-1.0
URL:            %{forgeurl}
Source0:        %{forgesource}

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  ninja-build

%description
%{summary}.

%package        devel
Summary:        Development files for %{name}
Provides:       %{name}-static = %{version}-%{release}

%description    devel
The %{name}-devel package contains development files for %{name}.

%prep
%forgeautosetup -p1

%build
%cmake \
    -GNinja \
    -DBOOST_UT_ALLOW_CPM_USE=OFF \
    -DBOOST_UT_ENABLE_RUN_AFTER_BUILD=OFF \
%cmake_build

%install
%cmake_install

%check
%ctest

%files devel
%license LICENSE.md
%doc README.md
%{_includedir}/boost/ut.hpp
%{_libdir}/cmake/ut-%{version}/

%changelog
## START: Generated by rpmautospec
* Fri Jul 26 2024 Packit <hello@packit.dev> - 2.1.0-1
- Update to 2.1.0 upstream release
- Resolves: rhbz#2300051

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Apr 11 2024 topazus <topazus@outlook.com> - 2.0.0-1
- initial import; rhbz#2265029
## END: Generated by rpmautospec
